% Demo. of diffusion smoothing on torus with simulated signal.
% signal = x-coordiates + Gaussian random noise
%
% The package has been downloaded from
% http://brainimaging.waisman.wisc.edu/~chung/diffusion
%
% (C) 2017 Moo K. Chung
% Waisman Laboratory for Brain Imaging and Behavior
% University of Wisconsin-Madison
% mkchung@wisc.edu

load torus.mat

surf = isosurface(torus)
figure; figure_wire(surf,'k','w');


%For more detail on FEM.m routine, see
% http://brainimaging.waisman.wisc.edu/~chung/lb
%FEM.m does the finite element method and obtain 
%A, C matrices out of a surface mesh.
[A, C]= FEM(surf);

load signal
figure; figure_surf(surf, signal); colormap('jet');colorbar; caxis([-30 30])

%converges
smoothed= diffusion_smooth(signal, surf, 0.1, 100, A,C);
figure; figure_surf(surf, smoothed);colormap('jet');colorbar; caxis([-30 30])

%does not converge
smoothed= diffusion_smooth(signal, surf, 1, 100, A,C);
figure; figure_surf(surf, smoothed);colormap('jet');colorbar; caxis([-30 30])

%now converges 
smoothed= diffusion_smooth(signal, surf, 1, 2000, A,C);
figure; figure_surf(surf, smoothed);colormap('jet');colorbar; caxis([-30 30])


